#include "sendToHW.h"
#include <stdio.h>
unsigned char prepareDAC(unsigned char data,
			 unsigned char reg,
			 unsigned char rw) {
  unsigned char dacData;
  dacData = data & DAC_DATA_MASK;
  dacData |= reg << DAC_RS_BIT | rw << DAC_RW_BIT;
  return(dacData);
}

int main() {
  unsigned char data=5,reg=1,rw=DAC_WRITE;
  printf("dacPrep: data: 0x%02x, reg: 0x%02x, rw: 0x%02x, result: 0x%02x\n",
	 data,reg,rw,prepareDAC(data,reg,rw));
  return(DAC_SUCCESS);
}
